import java.io.*;
import java.util.*;

public class SectorDamage
{
    static int SECTOR_SIZE = 512;

    static Random rand = new Random();

    public static void main(String[] args)
    {
        String filename = args[0];
        int count = Integer.parseInt(args[1]);

        try
        {
            File file = new File(filename);
            int length = (int)file.length();

            byte data[] = new byte[length];

            FileInputStream in = new FileInputStream(file);

            in.read(data);

            for (int i=0; i<count; i++)
            {
                byte newData [] = new byte[length];
                System.arraycopy(data,0,newData,0,length);

                int offset = (int) (Math.random() * (length- SECTOR_SIZE));

                for (int j=offset; j<offset+SECTOR_SIZE; j++)
                    newData[j] = (byte)(Math.random()*256.0);

                File newFile = new File("s" + offset + "_" + filename);
                FileOutputStream out = new FileOutputStream(newFile);
                out.write(newData);
                out.close();
            }


        } 

        catch (IOException e)
        {
            System.err.println(e);
        }

    }

} 