import java.io.*;
import java.util.*;

public class Truncate
{
    public static void main(String[] args)
    {
        String filename = args[0];
        int start = Integer.parseInt(args[1]);
        int end  = Integer.parseInt(args[2]);

        try
        {
            File file = new File(filename);
            int length = (int)file.length();

            byte data[] = new byte[length];

            FileInputStream in = new FileInputStream(file);

            in.read(data);

            for (int i=start; i<=end; i++)
            {
                int newLength = length-i;
                byte newData [] = new byte[newLength];
                System.arraycopy(data,0,newData,0,newLength);

                File newFile = new File(i + "_" + filename);
                FileOutputStream out = new FileOutputStream(newFile);
                out.write(newData);
                out.close();
            }


        } 

        catch (IOException e)
        {
            System.err.println(e);
        }


    }

} 